

#pragma once

#define	MAXCH		6
#define CHANNEL1	0
#define CHANNEL2    1


class CChkVisaDlg : public CDialogEx
{

public:
	CChkVisaDlg(CWnd* pParent = NULL);	
	int			m_iBufLen;
	int			m_iWaveLen;
	short		*m_psCH[MAXCH];
	double		m_dMul[MAXCH], m_dOfsA[MAXCH], m_dOfsB[MAXCH], m_dPosition[MAXCH], m_dVOfs[MAXCH];
	int			m_imvVoltDiv[MAXCH];
	int			m_iProbe[MAXCH];
	__int64		m_i64SampleTime;		// Unit:ps

	enum { IDD = IDD_CHKVISA_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

protected:
	HICON m_hIcon;

	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedCancel();
	afx_msg void OnDestroy();
	afx_msg void OnBnClickedOpenrm();
	afx_msg void OnBnClickedRead();
	afx_msg void OnBnClickedReset();
	afx_msg void OnBnClickedQueryIdn();
	afx_msg void OnBnClickedRunStop();
	afx_msg void OnBnClickedWaveform();
	afx_msg void OnBnClickedWrite();
	afx_msg void OnBnClickedTimeDiv();
	afx_msg void OnBnClickedVoltDiv();
	afx_msg void OnBnClickedTrigger();
	afx_msg void OnBnClickedTrigMode();
	afx_msg void OnBnClickedRecordlength();
	afx_msg void OnBnClickedTrigSource();
	afx_msg void OnBnClickedAcquireMode();
};
